version: "3.7"
services:
  theia:
    image: registry.gitlab.com/newcom-lcs/devenv/theia:go
    environment:
      CGO_ENABLED: "0"
      GOOS: "linux"
      GIT_REPO: ${GIT_REPO:-}
      PROJECT_NAME: ${PROJECT_NAME}
      GIT_USERNAME: ${GIT_USERNAME}
      GIT_PASSWORD: ${GIT_PASSWORD}
      GIT_FULLNAME: ${GIT_FULLNAME}
      GIT_EMAIL: ${GIT_EMAIL}
      API_HOST: ${API_HOST}
    restart: unless-stopped 
    env_file:
      - ${ENV_FILE:-../.env}
    labels:
      com.newcom-lcs.devenv.isEnv: "true"
      com.newcom-lcs.devenv.image: "theia:go"
    volumes:
      - theia:/home/theia/.theia:rw
      - golang:/home/theia/go:rw
      - certs:/home/theia/certs
      # - yarn:/home/theia/yarn
      # - node_modules:/home/theia/node_modules
    ports:
      - "${BIND_ADDRESS:-0.0.0.0}:${ENV_PORT1:-3000}:3000"
    restart: always
volumes:
  theia:
    external: true
  golang:
    external: true
  certs:
    external: true
  # yarn:
  #   external: true
  # node_modules:
  #   external: true
